void printi(int val);

int main()
{
  enum {
    TEST_ENUM_0,
    TEST_ENUM_1,
    TEST_ENUM_2,
  } e;

  printi(sizeof(e));
  printi(sizeof(TEST_ENUM_0));

  printi(TEST_ENUM_0);
  printi(TEST_ENUM_1);
  printi(TEST_ENUM_2);
  e = TEST_ENUM_0; printi(e);
  e = TEST_ENUM_1; printi(e);
  e = TEST_ENUM_2; printi(e);

  return 0;
}
